std::tuple_size< pair< _Tp1, _Tp2 > > Struct Template Reference
Inheritance diagram for std::tuple_size< pair< _Tp1, _Tp2 > >:
[legend]

## Public Types

typedef integral_constant< size_t, __v > | type
typedef size_t | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr size_t | value

## Detailed Description

### template<class _Tp1, class _Tp2>
struct std::tuple_size< pair< _Tp1, _Tp2 > >

Partial specialization for std::pair.

Definition at line 766 of file stl_pair.h.

The documentation for this struct was generated from the following file:

- stl_pair.h